## shotwell 0.9.2

=== Makefile ===
PROGRAM = shotwell

VERSION = 0.9.2
GETTEXT_PACKAGE = $(PROGRAM)
BUILD_ROOT = 1

VALAC := valac
VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
MIN_VALAC_VERSION := 0.11.7
INSTALL_PROGRAM := install
INSTALL_DATA := install -m 644

# defaults that may be overridden by configure.mk
PREFIX=/usr/local
SCHEMA_FILE_DIR=/etc/gconf/schemas
BUILD_RELEASE=1
LIB=lib

-include configure.mk

SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta
LOCAL_LANG_DIR=locale-langpack
SYSTEM_LANG_DIR := $(DESTDIR)$(PREFIX)/share/locale

VALAFLAGS := -g --enable-checking --thread --fatal-warnings $(USER_VALAFLAGS)
DEFINES := _PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
	_LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"' _LIBDIR='"${LIB}"'

EXPORT_FLAGS = -export-dynamic

include units.mk
include plugins/plugins.mk

UNUNITIZED_SRC_FILES = \
	main.vala \
	AppWindow.vala \
	CollectionPage.vala \
	Thumbnail.vala \
	ThumbnailCache.vala \
	CheckerboardLayout.vala \
	PhotoPage.vala \
	Page.vala \
	ImportPage.vala \
	GPhoto.vala \
	SortedList.vala \
	EventsDirectoryPage.vala \
	Dimensions.vala \
	Box.vala \
	Photo.vala \
	Orientation.vala \
	BatchImport.vala \
	Dialogs.vala \
	Resources.vala \
	Debug.vala \
	Sidebar.vala \
	ColorTransformation.vala \
	EditingTools.vala \
	LibraryWindow.vala \
	CameraTable.vala \
	Properties.vala \
	CustomComponents.vala \
	Config.vala \
	Event.vala \
	International.vala \
	AppDirs.vala \
	PixbufCache.vala \
	WebConnectors.vala \
	CommandManager.vala \
	Commands.vala \
	SlideshowPage.vala \
	LibraryFiles.vala \
	Printing.vala \
	Tag.vala \
	TagPage.vala \
	PiwigoConnector.vala \
	Screensaver.vala \
	MimicManager.vala \
	TrashPage.vala \
	Exporter.vala \
	DirectoryMonitor.vala \
	LibraryMonitor.vala \
	OfflinePage.vala \
	LastImportPage.vala \
	VideoSupport.vala \
	Tombstone.vala \
	MetadataWriter.vala \
	Application.vala \
	TimedQueue.vala \
	MediaPage.vala \
	MediaDataRepresentation.vala \
	DesktopIntegration.vala \
	FlaggedPage.vala \
	MediaInterfaces.vala \
	MediaMetadata.vala \
	VideoMetadata.vala \
	MediaMonitor.vala \
	PhotoMonitor.vala \
	VideoMonitor.vala \
	SearchFilter.vala \
	MediaViewTracker.vala

VAPI_FILES = \
	libexif.vapi \
	libgphoto2.vapi \
	ExtendedPosix.vapi \
	LConv.vapi \
	libraw.vapi

RESOURCE_FILES = \
	photo.ui \
	collection.ui \
	import.ui \
	fullscreen.ui \
	import_queue.ui \
	events_directory.ui \
	event.ui \
	direct.ui \
	tags.ui \
	trash.ui \
	offline.ui \
	media.ui \
	shotwell.glade \
	set_background_dialog.glade \
	search_bar.ui

SYS_INTEGRATION_FILES = \
	shotwell.desktop.head \
	shotwell-viewer.desktop.head \
	shotwell.schemas

SRC_HEADER_FILES = \
	gphoto.h

TEXT_FILES = \
	AUTHORS \
	COPYING \
	INSTALL \
	MAINTAINERS \
	NEWS \
	README \
	THANKS

ICON_FILES = \
	all-rejected.png \
	crop-pivot-reticle.png \
	crop.svg \
	drag_nub.png \
	enhance.png \
	five-star-filter.svg \
	five-stars.svg \
	flag-page.png \
	flag-trinket.png \
	four-star-filter-plus.svg \
	four-stars.svg \
	image-adjust.svg \
	import-all.png \
	import.svg \
	make-primary.svg \
	merge.svg \
	multiple-events.png \
	multiple-tags.png \
	noninterpretable-video.png \
	one-event.png \
	one-star-filter-plus.svg \
	one-star.svg \
	one-tag.png \
	pin-toolbar.svg \
	publish.png \
	redeye.png \
	rejected.svg \
	searchbox-clear.svg \
	searchbox-find.svg \
	shotwell-16.svg \
	shotwell-24.svg \
	shotwell.ico \
	shotwell-street.jpg \
	shotwell.svg \
	sprocket.png \
	three-star-filter-plus.svg \
	three-stars.svg \
	two-star-filter-plus.svg \
	two-stars.svg \
	videos-page.png \
	zoom-in.png \
	zoom-out.png \
	slideshow-extension-point.png \
	generic-plugin.png \
	filter-raw.png \
	filter-photos.png \
	filter-videos.png \
	filter-flagged.png

HELP_FILES = \
	edit-adjustments.page \
	edit-crop.page \
	edit-enhance.page \
	edit-external.page \
	edit-nondestructive.page \
	edit-redeye.page \
	edit-rotate.page \
	edit-time-date.page \
	edit-undo.page \
	formats.page \
	import-camera.page \
	import-file.page \
	import-f-spot.page \
	import-memorycard.page \
	index.page \
	organize-event.page \
	organize-flag.page \
	organize-rating.page \
	organize-remove.page \
	organize-search.page \
	organize-tag.page \
	organize-title.page \
	other-files.page \
	other-missing.page \
	other-multiple.page \
	running.page \
	share-background.page \
	share-export.page \
	share-print.page \
	share-send.page \
	share-slideshow.page \
	share-upload.page \
	view-displaying.page \
	view-information.page \
	view-sidebar.page

HELP_IMAGES = \
	crop_thirds.jpg \
	editing_overview.png \
	edit_toolbar.png \
	shotwell_logo.png \
	trash_process.png

VAPI_DIRS = \
	./vapi

HEADER_DIRS = \
	./vapi

LOCAL_PKGS = \
	ExtendedPosix \
	posix \
	LConv

# libraw is not listed (see note below); when libraw-config is no longer needed, it should be
# added to this list
EXT_PKGS = \
	atk \
	gconf-2.0 \
	gdk-2.0 \
	gdk-x11-2.0 \
	gee-1.0 \
	gexiv2 \
	gio-unix-2.0 \
	glib-2.0 \
	gmodule-2.0 \
	gnome-vfs-2.0 \
	gstreamer-0.10 \
	gstreamer-base-0.10 \
	gtk+-2.0 \
	gudev-1.0 \
	libexif \
	libgphoto2 \
	libsoup-2.4 \
	libxml-2.0 \
	sqlite3 \
	unique-1.0 \
	webkit-1.0

DIRECT_LIBS =

LIBRAW_PKG = \
	libraw

# libraw is handled separately (see note below); when libraw-config is no longer needed, the version
# should be added to this list
EXT_PKG_VERSIONS = \
	gconf-2.0 >= 2.22.0 \
	gee-1.0 >= 0.5.0 \
	gexiv2 >= 0.2.0 \
	gio-unix-2.0 >= 2.20 \
	glib-2.0 >= 2.26.0 \
	gmodule-2.0 >= 2.24.0 \
	gnome-vfs-2.0 >= 2.24.2 \
	gstreamer-0.10 >= 0.10.28 \
	gstreamer-base-0.10 >= 0.10.28 \
	gtk+-2.0 >= 2.18.0 \
	gudev-1.0 >= 145 \
	libexif >= 0.6.16 \
	libgphoto2 >= 2.4.2 \
	libsoup-2.4 >= 2.26.0 \
	libxml-2.0 >= 2.6.32 \
	sqlite3 >= 3.5.9 \
	unique-1.0 >= 1.0.0 \
	webkit-1.0 >= 1.1.5

DIRECT_LIBS_VERSIONS =

LIBRAW_VERSION = \
	0.9.0

VALA_PKGS = $(EXT_PKGS) $(LOCAL_PKGS) $(LIBRAW_PKG)

ifndef BUILD_DIR
BUILD_DIR=src
endif

DESKTOP_APP_SHORT_NAME="Shotwell"
DESKTOP_APP_FULL_NAME="Shotwell Photo Manager"
DESKTOP_APPLICATION_COMMENT="Organize your photos"
DESKTOP_APPLICATION_CLASS="Photo Manager"
DIRECT_EDIT_DESKTOP_APP_SHORT_NAME="Shotwell"
DIRECT_EDIT_DESKTOP_APP_FULL_NAME="Shotwell Photo Viewer"
DIRECT_EDIT_DESKTOP_APPLICATION_CLASS="Photo Viewer"
TEMPORARY_DESKTOP_FILES = misc/shotwell.desktop misc/shotwell-viewer.desktop

# Process the units
UNIT_MKS := $(foreach unit,$(UNITS),src/$(unit)/mk/$(notdir $(unit)).mk)
include $(UNIT_MKS)

UNITIZE_DIR := src/.unitize
UNITIZE_ENTRIES := $(foreach group,$(APP_GROUPS),$(UNITIZE_DIR)/_$(group)_unitize_entry.vala)
UNITIZE_INITS := $(foreach nm,$(UNIT_NAMESPACES),$(UNITIZE_DIR)/_$(nm)Internals.vala)
UNITIZE_STAMP := $(UNITIZE_DIR)/.unitized

PLUGINS_DIR := plugins
PLUGINS_SO := $(foreach plugin,$(PLUGINS),$(PLUGINS_DIR)/$(plugin)/$(plugin).so)
EXTRA_PLUGINS_SO := $(foreach plugin,$(EXTRA_PLUGINS),$(PLUGINS_DIR)/$(plugin)/$(plugin).so)
PLUGINS_DIST_FILES := `$(MAKE) --directory=plugins --no-print-directory listfiles`

EXPANDED_PO_FILES := $(foreach po,$(SUPPORTED_LANGUAGES),po/$(po).po)
EXPANDED_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src)) \
	$(UNITIZE_INITS) $(UNITIZE_ENTRIES)
EXPANDED_DIST_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src))
EXPANDED_C_FILES := $(foreach file,$(subst src,$(BUILD_DIR),$(EXPANDED_SRC_FILES)),$(file:.vala=.c))
EXPANDED_OBJ_FILES := $(foreach file,$(subst src,$(BUILD_DIR),$(EXPANDED_SRC_FILES)),$(file:.vala=.o))
EXPANDED_SYS_INTEGRATION_FILES := $(foreach file,$(SYS_INTEGRATION_FILES),misc/$(file))
EXPANDED_ICON_FILES := $(foreach file,$(ICON_FILES),icons/$(file))
EXPANDED_VAPI_FILES := $(foreach vapi,$(VAPI_FILES),vapi/$(vapi))
EXPANDED_SRC_HEADER_FILES := $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
EXPANDED_RESOURCE_FILES := $(foreach res,$(RESOURCE_FILES),ui/$(res))
EXPANDED_HELP_FILES := $(foreach file,$(HELP_FILES),help/C/$(file))
EXPANDED_HELP_IMAGES := $(foreach file,$(HELP_IMAGES),help/C/figures/$(file))
VALA_STAMP := $(BUILD_DIR)/.stamp
LANG_STAMP := $(LOCAL_LANG_DIR)/.langstamp
MAKE_FILES := Makefile $(CONFIG_IN) $(UNIT_MKS) unitize.mk units.mk
PC_INPUT := shotwell-plugin-dev-1.0.m4
PC_FILE := $(PC_INPUT:.m4=.pc)

DIST_FILES = Makefile configure chkver $(EXPANDED_DIST_SRC_FILES) $(EXPANDED_VAPI_FILES) \
	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) $(EXPANDED_ICON_FILES) \
	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_PO_FILES) po/shotwell.pot libraw-config \
	$(EXPANDED_HELP_FILES) $(EXPANDED_HELP_IMAGES) apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES)

DIST_TAR = $(PROGRAM)-$(VERSION).tar
DIST_TAR_BZ2 = $(DIST_TAR).bz2
DIST_TAR_GZ = $(DIST_TAR).gz
PACKAGE_ORIG_GZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.gz

VALAFLAGS := $(VALAFLAGS) --vapidir=plugins/

VALA_CFLAGS := `pkg-config --cflags $(EXT_PKGS) $(DIRECT_LIBS) gthread-2.0` \
	$(foreach hdir,$(HEADER_DIRS),-I$(hdir)) \
	$(foreach def,$(DEFINES),-D$(def))

VALA_LDFLAGS := `pkg-config --libs $(EXT_PKGS) $(DIRECT_LIBS) gthread-2.0`

# REQUIRED_CFLAGS absolutely get appended to CFLAGS, whatever the
# the value of CFLAGS in the environment
REQUIRED_CFLAGS := -fPIC

# setting CFLAGS in configure.mk overrides build type
ifndef CFLAGS
ifdef BUILD_DEBUG
CFLAGS = -O0 -g -pipe
PLUGIN_CFLAGS = -O0 -g -pipe
else
CFLAGS = -O2 -g -pipe
PLUGIN_CFLAGS = -O2 -g -pipe
endif
endif

CFLAGS += $(REQUIRED_CFLAGS)
PLUGIN_CFLAGS += $(REQUIRED_CFLAGS)

# Required for gudev-1.0
CFLAGS += -DG_UDEV_API_IS_SUBJECT_TO_CHANGE

# Packaged libraw is not widely available, so we must fake what would be in its .pc file
# if not available.
LIBRAW_CONFIG=./libraw-config

define check_valac_version
	@ ./chkver min $(VALAC_VERSION) $(MIN_VALAC_VERSION) || ( echo 'Shotwell requires Vala compiler $(MIN_VALAC_VERSION) or greater.  You are running' $(VALAC_VERSION) '\b.'; exit 1 )
	$(if $(MAX_VALAC_VERSION),\
		@ ./chkver max $(VALAC_VERSION) $(MAX_VALAC_VERSION) || ( echo 'Shotwell cannot be built by Vala compiler $(MAX_VALAC_VERSION) or greater.  You are running' $(VALAC_VERSION) '\b.'; exit 1 ),)
endef

ifdef ENABLE_BUILD_FOR_GLADE
all: $(PLUGINS_DIR) lib$(PROGRAM).so $(PROGRAM) $(PC_FILE)
else
all: $(PLUGINS_DIR) $(PROGRAM) $(PC_FILE)
endif

include src/plugins/mk/interfaces.mk

$(LANG_STAMP): $(EXPANDED_PO_FILES)
	@$(foreach po,$(SUPPORTED_LANGUAGES),`mkdir -p $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES ; \
		msgfmt -o $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES/shotwell.mo po/$(po).po`)
	@touch $(LANG_STAMP)

clean:
	rm -f $(EXPANDED_C_FILES)
	rm -f $(EXPANDED_OBJ_FILES)
	rm -f $(VALA_STAMP)
	rm -rf $(PROGRAM)-$(VERSION)
	rm -f $(PROGRAM)
	rm -rf $(LOCAL_LANG_DIR)
	rm -f $(LANG_STAMP)
	rm -f $(TEMPORARY_DESKTOP_FILES)
	rm -f lib$(PROGRAM).so
	rm -rf $(UNITIZE_DIR)
	rm -f $(PLUGIN_VAPI)
	rm -f $(PLUGIN_HEADER)
	rm -f $(PLUGIN_DEPS)
	rm -f $(PLUGINS_SO)
	rm -f $(EXTRA_PLUGINS_SO)
	@$(MAKE) --directory=plugins clean
	rm -f $(PC_FILE)

cleantemps:
	rm -f $(EXPANDED_C_FILES)
	rm -f $(EXPANDED_OBJ_FILES)
	rm -f $(VALA_STAMP)
	rm -f $(LANG_STAMP)
	rm -f $(TEMPORARY_DESKTOP_FILES)
	@$(MAKE) --directory=plugins cleantemps

package:
	$(MAKE) dist
	cp $(DIST_TAR_GZ) $(PACKAGE_ORIG_GZ)
	rm -f $(DIST_TAR_GZ)
	rm -f $(DIST_TAR_BZ2)

.PHONY: dist
dist:
	mkdir -p $(PROGRAM)-$(VERSION)
	cp --parents --preserve $(DIST_FILES) $(PROGRAM)-$(VERSION)
	tar --bzip2 -cvf $(DIST_TAR_BZ2) $(PROGRAM)-$(VERSION)
	tar --gzip -cvf $(DIST_TAR_GZ) $(PROGRAM)-$(VERSION)
	rm -rf $(PROGRAM)-$(VERSION)

distclean: clean
	rm -f configure.mk
	rm -f $(DIST_TAR_BZ2)
	rm -f $(DIST_TAR_GZ)
	@$(MAKE) --directory=plugins distclean

.PHONY: install
install:
	cp misc/shotwell.desktop.head misc/shotwell.desktop
	cp misc/shotwell-viewer.desktop.head misc/shotwell-viewer.desktop

=== debian/changelog ===
shotwell (0.9.2-0ubuntu3) natty; urgency=low

  * debian/patches/02_desktop_translations.patch:
    - Don't translate the .desktop files, they work with gettext and the build
      system translates them all into English (LP: #760978)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 21 Apr 2011 16:59:53 +1000

shotwell (0.9.2-0ubuntu2) natty; urgency=low

  * debian/patches/00svn_untranslatable_string.patch:
    - Fix untranslatable strings (LP: #760399)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 14 Apr 2011 14:04:13 +1000

shotwell (0.9.2-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #759487)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 13 Apr 2011 16:24:19 +1000

shotwell (0.9.1-0ubuntu2) natty; urgency=low

  * debian/patches/01_lpi.patch:
    - Fix non-showing LPI menu items

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Apr 2011 14:51:56 +1000

shotwell (0.9.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Apr 2011 13:59:04 +1000

shotwell (0.9.0-0ubuntu2) natty; urgency=low

  * debian/patches/04_no_resize_grip.patch:
    - Disable resize grip (LP: #740274)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 24 Mar 2011 15:04:45 +1100

shotwell (0.9.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Can now use valac instead of valac-0.10
  * debian/patches/04_vala_0_10.patch:
    - Dropped, now compiles with Vala 0.11

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Mar 2011 19:18:33 +1100

shotwell (0.8.90-0ubuntu2) natty; urgency=low

  * debian/control:
    - Add missing build-depends on m4, libgnomevfs2-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Mar 2011 12:04:27 +1100

shotwell (0.8.90-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #731007)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Mar 2011 10:48:06 +1100

shotwell (0.8.1-0ubuntu3) natty; urgency=low

  * Rebuild against libraw 0.13.1

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 09 Feb 2011 16:04:57 +1100

shotwell (0.8.1-0ubuntu2) natty; urgency=low

  * Rebuild against libraw 0.13.0

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Feb 2011 11:15:21 +1100

shotwell (0.8.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on valac-0.10

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 13 Jan 2011 12:18:27 -0600

shotwell (0.8.0-0ubuntu2) natty; urgency=low

  * debian/control:
    - Change build-depends from libwebkit-dev to libwebkitgtk-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 10 Jan 2011 14:55:00 -0600

shotwell (0.8.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on valac-0.10, libjson-glib-dev, libgstreamer0.10-dev
    - Use standards version 3.9.1
  * debian/patches/02_desktop_gettext.patch:
    - Applied upstream
  * debian/patches/non-linux-fixes.patch:
    - Dropped, as doesn't apply and not required in Ubuntu

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 29 Dec 2010 09:25:44 +1100

shotwell (0.7.2-0ubuntu4) natty; urgency=low

  * debian/control:
    - Change build-depends from valac to valac-0.10

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 01 Dec 2010 16:45:42 +1100

shotwell (0.7.2-0ubuntu3) natty; urgency=low

  [ Martin Pitt ]
  * debian/rules: Build with scour for SVG optimization. Add python-scour
    build dependency.

  [ Robert Ancell ]
  * Rebuild to fix crash after gexiv2 update (LP: #676949)
  * debian/patches/04_vala_0_10.patch:
    - Compile with valac-0.10

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 01 Dec 2010 15:38:54 +1100

## shotwell 0.9.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PROGRAM = shotwell
 
-VERSION = 0.9.2
+VERSION = 0.9.3
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1

=== debian/changelog ===
shotwell (0.9.3-0ubuntu0.1) natty-proposed; urgency=low

  * New upstream bugfix release (LP: #771841)
    - Resolves issue where setting the desktop background didn't work in
      GNOME 3
    - Mimics are now deleted when a RAW photo is removed
    - Event dates are now only shown once in the Event view
    - Fixes a number of translation issues
  * debian/patches/00svn_untranslatable_string.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Wed, 27 Apr 2011 10:32:08 -0400

=== debian/control ===
Source: shotwell
Section: gnome
Priority: extra
XSBC-Original-Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               m4,
               valac (>= 0.11.7),
               python-scour,
               libgee-dev (>= 0.5.0),
               libgtk2.0-dev (>= 2.18.0),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.2.0),
               libgconf2-dev (>= 2.22.0),
               libgphoto2-2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libunique-dev (>= 1.0.0),
               libwebkitgtk-dev,
               libjson-glib-dev (>= 0.7.6),
               libgstreamer0.10-dev (>= 0.10.28),
               libgudev-1.0-dev (>= 145) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libdbus-glib-1-dev (>= 0.80),
               libraw-dev (>= 0.13.1),
               libusb-dev,
               libgnomevfs2-dev,
               liblaunchpad-integration-dev (>= 0.1.36)
Standards-Version: 3.9.1
Homepage: http://yorba.org/shotwell/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu

Package: shotwell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common, dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with-scour

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## shotwell 0.11.2

=== Makefile ===
--- 
+++ 
@@ -1,30 +1,46 @@
 PROGRAM = shotwell
-
-VERSION = 0.9.3
+PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
+
+VERSION = 0.11.2
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
 
+ifndef VALAC
 VALAC := valac
+endif
 VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
 MIN_VALAC_VERSION := 0.11.7
+MAX_VALAC_VERSION := 0.13.0
 INSTALL_PROGRAM := install
 INSTALL_DATA := install -m 644
 
+# needed for testing
+VALADATE_PKG_NAME := valadate-1.0
+MIN_VALADATE_VERSION := 0.1.1
+
 # defaults that may be overridden by configure.mk
 PREFIX=/usr/local
-SCHEMA_FILE_DIR=/etc/gconf/schemas
 BUILD_RELEASE=1
 LIB=lib
 
 -include configure.mk
 
-SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta
+CORE_SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk \
+    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta
+
+EXTRAS_SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk \
+    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta
+
 LOCAL_LANG_DIR=locale-langpack
 SYSTEM_LANG_DIR := $(DESTDIR)$(PREFIX)/share/locale
 
 VALAFLAGS := -g --enable-checking --thread --fatal-warnings $(USER_VALAFLAGS)
+ifdef UNITY_SUPPORT
+VALAFLAGS := $(VALAFLAGS) --define UNITY_SUPPORT
+endif
+
 DEFINES := _PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
-	_LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"' _LIBDIR='"${LIB}"'
+	_LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"' _LIB='"${LIB}"'
 
 EXPORT_FLAGS = -export-dynamic
 
@@ -40,10 +56,8 @@
 	CheckerboardLayout.vala \
 	PhotoPage.vala \
 	Page.vala \
-	ImportPage.vala \
-	GPhoto.vala \
 	SortedList.vala \
-	EventsDirectoryPage.vala \
+	SortedListTests.vala \
 	Dimensions.vala \
 	Box.vala \
 	Photo.vala \
@@ -52,35 +66,24 @@
 	Dialogs.vala \
 	Resources.vala \
 	Debug.vala \
-	Sidebar.vala \
 	ColorTransformation.vala \
 	EditingTools.vala \
-	LibraryWindow.vala \
-	CameraTable.vala \
 	Properties.vala \
 	CustomComponents.vala \
-	Config.vala \
 	Event.vala \
 	International.vala \
 	AppDirs.vala \
 	PixbufCache.vala \
-	WebConnectors.vala \
 	CommandManager.vala \
 	Commands.vala \
 	SlideshowPage.vala \
 	LibraryFiles.vala \
 	Printing.vala \
 	Tag.vala \
-	TagPage.vala \
-	PiwigoConnector.vala \
 	Screensaver.vala \
-	MimicManager.vala \
-	TrashPage.vala \
 	Exporter.vala \
 	DirectoryMonitor.vala \
 	LibraryMonitor.vala \
-	OfflinePage.vala \
-	LastImportPage.vala \
 	VideoSupport.vala \
 	Tombstone.vala \
 	MetadataWriter.vala \
@@ -89,7 +92,6 @@
 	MediaPage.vala \
 	MediaDataRepresentation.vala \
 	DesktopIntegration.vala \
-	FlaggedPage.vala \
 	MediaInterfaces.vala \
 	MediaMetadata.vala \
 	VideoMetadata.vala \
@@ -97,7 +99,11 @@
 	PhotoMonitor.vala \
 	VideoMonitor.vala \
 	SearchFilter.vala \
-	MediaViewTracker.vala
+	MediaViewTracker.vala \
+	Upgrades.vala
+
+THUMBNAILER_SRC_FILES = \
+	shotwell-video-thumbnailer.vala
 
 VAPI_FILES = \
 	libexif.vapi \
@@ -107,26 +113,33 @@
 	libraw.vapi
 
 RESOURCE_FILES = \
-	photo.ui \
 	collection.ui \
-	import.ui \
+	direct.ui \
+	events_directory.ui \
+	event.ui \
 	fullscreen.ui \
 	import_queue.ui \
-	events_directory.ui \
-	event.ui \
-	direct.ui \
+	import.ui \
+	media.ui \
+	offline.ui \
+	photo.ui \
+	savedsearch.ui \
+	search_bar.ui \
+	set_background_dialog.glade \
+	shotwell.glade \
+	shotwell.xml \
+	sidebar_default_context.ui \
 	tags.ui \
 	trash.ui \
-	offline.ui \
-	media.ui \
-	shotwell.glade \
-	set_background_dialog.glade \
-	search_bar.ui
+	search_sidebar_context.ui \
+	tag_sidebar_context.ui
 
 SYS_INTEGRATION_FILES = \
 	shotwell.desktop.head \
 	shotwell-viewer.desktop.head \
-	shotwell.schemas
+	org.yorba.shotwell.gschema.xml \
+	org.yorba.shotwell-extras.gschema.xml \
+	shotwell.convert
 
 SRC_HEADER_FILES = \
 	gphoto.h
@@ -249,7 +262,6 @@
 # added to this list
 EXT_PKGS = \
 	atk \
-	gconf-2.0 \
 	gdk-2.0 \
 	gdk-x11-2.0 \
 	gee-1.0 \
@@ -257,9 +269,9 @@
 	gio-unix-2.0 \
 	glib-2.0 \
 	gmodule-2.0 \
-	gnome-vfs-2.0 \
 	gstreamer-0.10 \
 	gstreamer-base-0.10 \
+	gstreamer-pbutils-0.10 \
 	gtk+-2.0 \
 	gudev-1.0 \
 	libexif \
@@ -268,7 +280,17 @@
 	libxml-2.0 \
 	sqlite3 \
 	unique-1.0 \
-	webkit-1.0
+	webkit-1.0 \
+	gconf-2.0
+ifdef UNITY_SUPPORT
+EXT_PKGS += unity
+endif
+
+THUMBNAILER_PKGS = \
+    gtk+-2.0 \
+    gee-1.0 \
+    gstreamer-0.10 \
+    gstreamer-base-0.10
 
 DIRECT_LIBS =
 
@@ -278,15 +300,14 @@
 # libraw is handled separately (see note below); when libraw-config is no longer needed, the version
 # should be added to this list
 EXT_PKG_VERSIONS = \
-	gconf-2.0 >= 2.22.0 \
 	gee-1.0 >= 0.5.0 \
 	gexiv2 >= 0.2.0 \
 	gio-unix-2.0 >= 2.20 \
 	glib-2.0 >= 2.26.0 \
 	gmodule-2.0 >= 2.24.0 \
-	gnome-vfs-2.0 >= 2.24.2 \
 	gstreamer-0.10 >= 0.10.28 \
 	gstreamer-base-0.10 >= 0.10.28 \
+	gstreamer-pbutils-0.10 >= 0.10.32 \
 	gtk+-2.0 >= 2.18.0 \
 	gudev-1.0 >= 145 \
 	libexif >= 0.6.16 \
@@ -295,8 +316,13 @@
 	libxml-2.0 >= 2.6.32 \
 	sqlite3 >= 3.5.9 \
 	unique-1.0 >= 1.0.0 \
-	webkit-1.0 >= 1.1.5
-
+	webkit-1.0 >= 1.1.5 \
+	gconf-2.0 >= 2.22.0
+
+ifdef ENABLE_TESTS
+EXT_PKGS += valadate-1.0
+EXT_PKG_VERSIONS += valadate-1.0 >= 0.1.1
+endif
 DIRECT_LIBS_VERSIONS =
 
 LIBRAW_VERSION = \
@@ -322,7 +348,7 @@
 include $(UNIT_MKS)
 
 UNITIZE_DIR := src/.unitize
-UNITIZE_ENTRIES := $(foreach group,$(APP_GROUPS),$(UNITIZE_DIR)/_$(group)_unitize_entry.vala)
+UNITIZE_ENTRIES := $(foreach unit,$(APP_UNITS),$(UNITIZE_DIR)/_$(unit)_unitize_entry.vala)
 UNITIZE_INITS := $(foreach nm,$(UNIT_NAMESPACES),$(UNITIZE_DIR)/_$(nm)Internals.vala)
 UNITIZE_STAMP := $(UNITIZE_DIR)/.unitized
 
@@ -331,7 +357,13 @@
 EXTRA_PLUGINS_SO := $(foreach plugin,$(EXTRA_PLUGINS),$(PLUGINS_DIR)/$(plugin)/$(plugin).so)
 PLUGINS_DIST_FILES := `$(MAKE) --directory=plugins --no-print-directory listfiles`
 
-EXPANDED_PO_FILES := $(foreach po,$(SUPPORTED_LANGUAGES),po/$(po).po)
+THUMBNAILER_DIR := thumbnailer
+THUMBNAILER_BIN := $(THUMBNAILER_DIR)/$(PROGRAM_THUMBNAILER)
+EXPANDED_THUMBNAILER_SRC_FILES := $(foreach file, $(THUMBNAILER_SRC_FILES), $(THUMBNAILER_DIR)/$(file))
+
+EXPANDED_CORE_PO_FILES := $(foreach po,$(CORE_SUPPORTED_LANGUAGES),po/shotwell-core/$(po).po)
+EXPANDED_EXTRAS_PO_FILES := $(foreach po,$(EXTRAS_SUPPORTED_LANGUAGES),po/shotwell-extras/$(po).po)
+
 EXPANDED_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src)) \
 	$(UNITIZE_INITS) $(UNITIZE_ENTRIES)
 EXPANDED_DIST_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src))
@@ -352,16 +384,24 @@
 
 DIST_FILES = Makefile configure chkver $(EXPANDED_DIST_SRC_FILES) $(EXPANDED_VAPI_FILES) \
 	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) $(EXPANDED_ICON_FILES) \
-	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_PO_FILES) po/shotwell.pot libraw-config \
+	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_CORE_PO_FILES) $(EXPANDED_EXTRAS_PO_FILES) \
+	po/shotwell-core/shotwell.pot po/shotwell-extras/shotwell-extras.pot libraw-config \
 	$(EXPANDED_HELP_FILES) $(EXPANDED_HELP_IMAGES) apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
-	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES)
+	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES) \
+	$(EXPANDED_THUMBNAILER_SRC_FILES)
+	
 
 DIST_TAR = $(PROGRAM)-$(VERSION).tar
 DIST_TAR_BZ2 = $(DIST_TAR).bz2
 DIST_TAR_GZ = $(DIST_TAR).gz
 PACKAGE_ORIG_GZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.gz
 
-VALAFLAGS := $(VALAFLAGS) --vapidir=plugins/
+VALAFLAGS := $(VALAFLAGS) $(VALA_DEFINES) --vapidir=plugins/
+
+ifdef ENABLE_TESTS
+VALAFLAGS := $(VALAFLAGS) --vapi=libshotwell.vapi --define=ENABLE_TESTS 
+DEFINES := $(DEFINES) ENABLE_TESTS=true
+endif
 
 VALA_CFLAGS := `pkg-config --cflags $(EXT_PKGS) $(DIRECT_LIBS) gthread-2.0` \
 	$(foreach hdir,$(HEADER_DIRS),-I$(hdir)) \
@@ -400,67 +440,16 @@
 		@ ./chkver max $(VALAC_VERSION) $(MAX_VALAC_VERSION) || ( echo 'Shotwell cannot be built by Vala compiler $(MAX_VALAC_VERSION) or greater.  You are running' $(VALAC_VERSION) '\b.'; exit 1 ),)
 endef
 
+define check_valadate_version
+	@ pkg-config $(VALADATE_PKG_NAME) --atleast-version=$(MIN_VALADATE_VERSION) || ( echo 'Shotwell testing requires Valadate $(MIN_VALADATE_VERSION) or greater.  You are running' `pkg-config --modversion $(VALADATE_PKG_NAME)` '\b.'; exit 1 )
+endef
+
+all: pkgcheck
+
 ifdef ENABLE_BUILD_FOR_GLADE
 all: $(PLUGINS_DIR) lib$(PROGRAM).so $(PROGRAM) $(PC_FILE)
 else
+ifdef ENABLE_TESTS
 all: $(PLUGINS_DIR) $(PROGRAM) $(PC_FILE)
-endif
-
-include src/plugins/mk/interfaces.mk
-
-$(LANG_STAMP): $(EXPANDED_PO_FILES)
-	@$(foreach po,$(SUPPORTED_LANGUAGES),`mkdir -p $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES ; \
-		msgfmt -o $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES/shotwell.mo po/$(po).po`)
-	@touch $(LANG_STAMP)
-
-clean:
-	rm -f $(EXPANDED_C_FILES)
-	rm -f $(EXPANDED_OBJ_FILES)
-	rm -f $(VALA_STAMP)
-	rm -rf $(PROGRAM)-$(VERSION)
-	rm -f $(PROGRAM)
-	rm -rf $(LOCAL_LANG_DIR)
-	rm -f $(LANG_STAMP)
-	rm -f $(TEMPORARY_DESKTOP_FILES)
-	rm -f lib$(PROGRAM).so
-	rm -rf $(UNITIZE_DIR)
-	rm -f $(PLUGIN_VAPI)
-	rm -f $(PLUGIN_HEADER)
-	rm -f $(PLUGIN_DEPS)
-	rm -f $(PLUGINS_SO)
-	rm -f $(EXTRA_PLUGINS_SO)
-	@$(MAKE) --directory=plugins clean
-	rm -f $(PC_FILE)
-
-cleantemps:
-	rm -f $(EXPANDED_C_FILES)
-	rm -f $(EXPANDED_OBJ_FILES)
-	rm -f $(VALA_STAMP)
-	rm -f $(LANG_STAMP)
-	rm -f $(TEMPORARY_DESKTOP_FILES)
-	@$(MAKE) --directory=plugins cleantemps
-
-package:
-	$(MAKE) dist
-	cp $(DIST_TAR_GZ) $(PACKAGE_ORIG_GZ)
-	rm -f $(DIST_TAR_GZ)
-	rm -f $(DIST_TAR_BZ2)
-
-.PHONY: dist
-dist:
-	mkdir -p $(PROGRAM)-$(VERSION)
-	cp --parents --preserve $(DIST_FILES) $(PROGRAM)-$(VERSION)
-	tar --bzip2 -cvf $(DIST_TAR_BZ2) $(PROGRAM)-$(VERSION)
-	tar --gzip -cvf $(DIST_TAR_GZ) $(PROGRAM)-$(VERSION)
-	rm -rf $(PROGRAM)-$(VERSION)
-
-distclean: clean
-	rm -f configure.mk
-	rm -f $(DIST_TAR_BZ2)
-	rm -f $(DIST_TAR_GZ)
-	@$(MAKE) --directory=plugins distclean
-
-.PHONY: install
-install:
-	cp misc/shotwell.desktop.head misc/shotwell.desktop
-	cp misc/shotwell-viewer.desktop.head misc/shotwell-viewer.desktop
+
+valadate_check:

=== debian/changelog ===
shotwell (0.11.2-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/rules: 
    -use --disable-icon-update, the update is done by a trigger on the user 
     system, not during the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Sep 2011 16:19:48 +0200

shotwell (0.11.1-0ubuntu1) oneiric; urgency=low

  * New upstream version, fixes the translation template (lp: #838860)
    - gee_array_list_real_get: assertion failed (lp: #836268)
    - send to encoding issue (lp: #831791)
    - upload to piwigo (lp: #830169)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Sep 2011 15:49:04 +0200

shotwell (0.11.0-0ubuntu2) oneiric; urgency=low

  * debian/control: build-depends on libgstreamer-plugins-base0.10-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Aug 2011 11:58:46 +0200

shotwell (0.11.0-0ubuntu1) oneiric; urgency=low

  * New upstream version, drop patches which are in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Aug 2011 11:45:16 +0200

shotwell (0.10.1-0ubuntu3) oneiric; urgency=low

  * debian/control:
    - Build with valac-0.12 to fix FTBFS (LP: #832375)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 24 Aug 2011 17:53:07 +1200

shotwell (0.10.1-0ubuntu2) oneiric; urgency=low

  * debian/patches/05_fix_plugin_linkage.patch: Build plugins with
    --no-as-needed passed to the linker to avoid unresolved symbols
    at runtime, resulting in failure to upload photos (LP: #793804)

 -- Jani Monoses <jani@ubuntu.com>  Sat, 18 Jun 2011 00:24:44 +0300

shotwell (0.10.1-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Jun 2011 11:49:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
                m4,
-               valac (>= 0.11.7),
+               valac-0.12 (>= 0.11.7),
                python-scour,
                libgee-dev (>= 0.5.0),
                libgtk2.0-dev (>= 2.18.0),
@@ -20,6 +20,7 @@
                libwebkitgtk-dev,
                libjson-glib-dev (>= 0.7.6),
                libgstreamer0.10-dev (>= 0.10.28),
+               libgstreamer-plugins-base0.10-dev,
                libgudev-1.0-dev (>= 145) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libdbus-glib-1-dev (>= 0.80),
                libraw-dev (>= 0.13.1),

## shotwell 0.11.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROGRAM = shotwell
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
 
-VERSION = 0.11.2
+VERSION = 0.11.5
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1

=== debian/changelog ===
shotwell (0.11.5-1) unstable; urgency=low

  * New upstream release (Closes: 645942).
  * Show translations in GNOME menu, thanks to Hideki Yamane
    <henrich@debian.or.jp> for this (Closes: 644905).

  [ Luca Falavigna ]
  * Enable DM upload.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 23 Oct 2011 01:39:38 +0200

shotwell (0.11.2-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.
  * debian/rules:
    - Do not compile GConf schema (Closes: #641677).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 24 Sep 2011 14:27:33 +0200

shotwell (0.11.1-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.
  * debian/patches/sidebar-bg-color.patch:
    - Refresh for new upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 13 Sep 2011 20:53:25 +0200

shotwell (0.11.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #639863).
  * debian/patches/sidebar-bg-color.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Build-depend on libgstreamer-plugins-base0.10-dev.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 01 Sep 2011 19:59:07 +0200

shotwell (0.10.1-1) unstable; urgency=low

  * Team upload
  * New upstream release (Closes: #629311).
  * debian/patches/non-linux-fixes.patch:
    - Removed, waiting for proper upstream porting efforts.
  * debian/patches/sidebar-bg-color.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Add Debian Shotwell Maintainers to Maintainers.
    - Move Devid to Uploaders.
    - libwebkitgtk-dev transition (Closes: #635426).
    - Set Architecture to linux-any, shotwell is currently unsupported
      outside of Linux platform, and require some porting.
  * debian/shotwell-video-thumbnailer.1:
    - Provide a minimal man page for shotwell-video-thumbnailer

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 21 Aug 2011 15:38:31 +0200

shotwell (0.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #622705).
  * Update debian/patches/non-linux-fixes.patch patch.
  * Bump Standards-Version to 3.9.2.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 01 May 2011 13:09:48 +0200

shotwell (0.9.1-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release (Closes: #620765).
  * debian/control: modify libgexiv2-dev (>= 0.3.1) to libgexiv2-dev
    (>= 0.2.2-4) in Build-Depends field.
  * Update debian/patches/non-linux-fixes.patch patch.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 08 Apr 2011 23:28:01 +0200

shotwell (0.9.0-1) experimental; urgency=low

  * New upstream release (Closes: #614730, #593660, #619478).
  * debian/control: modify valac-0.10 (>= 0.10.4) to valac-0.12 (>= 0.11.7)
    in Build-Depends field.
  * debian/control: add m4 and libgnomevfs2-dev (>= 2.24.2) to Build-Depends
    field.
  * debian/control: modify libgexiv2-dev (>= 0.2.0) to libgexiv2-dev
    (>= 0.3.1) in Build-Depends field.
  * Remove debian/patches/vala-0_10_4.patch patch, fixed upstream.
  * Update debian/patches/non-linux-fixes.patch patch.
  * Update debian/copyright file.
  * Override library-not-linked-against-libc lintian warnings.
  * Override image-file-in-usr-lib lintian warnings.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 27 Mar 2011 15:07:13 +0200

shotwell (0.8.1-4) unstable; urgency=low

  * A patch was reverting some changes introduced in 0.8.1-3, apply them.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 27 Mar 2011 12:42:49 +0200

shotwell (0.8.1-3) unstable; urgency=low

  * Update debian/patches/non-linux-fixes.patch patch (Closes: #619682).
  * Add debian/patches/vala-0_10_4.patch patch, fix FTBFS caused by 
    valac 0.10.4.
  * debian/control: modify valac-0.10 (>= 0.9.8) to valac-0.10 (>= 0.10.4)
    in Build-Depends field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 26 Mar 2011 23:45:32 +0100

shotwell (0.8.1-2) unstable; urgency=low

  * Upload to unstable (Closes: #614445).
  * debian/control: modify libjson-glib-dev (>= 0.10.28) to libjson-glib-dev
    (>= 0.7.6)
  * debian/control: modify libgstreamer0.10-dev (>= 0.7.6) to
    libgstreamer0.10-dev (>= 0.10.28)
  * debian/control: modify libraw-dev to libraw-dev (>= 0.13.1-2).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 28 Feb 2011 22:16:51 +0100

shotwell (0.8.1-1) experimental; urgency=low

  * New upstream release.
  * debian/control: modify valac-0.10 (>= 0.9.7) to valac-0.10 (>= 0.9.8) in
    Build-Depends field.
  * Update debian/copyright.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 27 Jan 2011 23:05:40 +0100

shotwell (0.8.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control: modify valac (>= 0.9.5) to valac-0.10 (>= 0.9.7) in
    Build-Depends field.
  * debian/control: add libjson-glib-dev and libgstreamer0.10-dev to
    Build-Depends field.
  * Update debian/patches/sidebar-bg-color.patch patch.
  * Update debian/patches/non-linux-fixes.patch patch.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 07 Jan 2011 15:14:41 +0100

shotwell (0.7.2-1) experimental; urgency=low

  * New upstream release.
  * Update debian/patches/sidebar-bg-color.patch patch.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 15 Sep 2010 14:56:23 +0200

shotwell (0.7.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control: remove Luca Falavigna from Uploaders field.
  * debian/control: update valac version to >= 0.9.5.
  * debian/control: update libgexiv2-dev version to >= 0.2.0.
  * Update debian/patches/non-linux-fixes.patch patch.
  * debian/patches/sidebar-bg-color.patch: don't set sidebar background color
    (Closes: #594170).
  * Bump Standards-Version to 3.9.1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Tue, 24 Aug 2010 17:34:23 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-schemas-compile

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## shotwell 0.11.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROGRAM = shotwell
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
 
-VERSION = 0.11.5
+VERSION = 0.11.6
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1

=== plugins/shotwell-publishing-extras/Makefile ===

PLUGIN := shotwell-publishing-extras

PKGS := \
	gtk+-2.0 \
	libsoup-2.4 \
	libxml-2.0 \
	webkit-1.0 \
	gee-1.0

SRC_FILES := \
	shotwell-publishing-extras.vala \
	YandexPublishing.vala \
	PiwigoPublishing.vala \
	../common/RESTSupport.vala \
	../../src/util/string.vala

RC_FILES := \
	yandex_publish_model.glade \
	piwigo.png \
	piwigo_authentication_pane.glade \
	piwigo_publishing_options_pane.glade

include ../Makefile.plugin.mk

=== debian/changelog ===
shotwell (0.11.6-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 08 Dec 2011 22:38:11 +0100

=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               m4,
               valac-0.12 (>= 0.11.7),
               libgee-dev (>= 0.5.0),
               libgtk2.0-dev (>= 2.18.0),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.2.2-4),
               libgnomevfs2-dev (>= 2.24.2),
               libgconf2-dev (>= 2.22.0),
               libgphoto2-2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libunique-dev (>= 1.0.0),
               libwebkitgtk-dev (>= 1.1.5),
               libgudev-1.0-dev (>= 145),
               libdbus-glib-1-dev (>= 0.80),
               libraw-dev (>= 0.13.1-2),
               libusb-dev,
               libjson-glib-dev (>= 0.7.6),
               libgstreamer0.10-dev (>= 0.10.28),
               libgstreamer-plugins-base0.10-dev (>= 0.10.32),
               locales-all
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://yorba.org/shotwell/

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common, dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.
